<?php

/**
 * Page: Настройки сайта (settings.php)
 * Module: Панель управления (panel)
 * Author: Plato
 * Site: http://scms.su    
 */
 
# Проверка прав доступа
if (!isset($user) || !user_access('settings')) {
  # Возврат на главную страницу
  header('Location: /');  
}

# Сохранение настроек
if (isset($_POST['save_settings'])) {
  $site_name = txt($_POST['site_name']);
  $copy = txt($_POST['copy']);
  $description = txt($_POST['description']);
  $keywords = txt($_POST['keywords']);
  $theme = txt($_POST['theme']);
  $reg_status = txt($_POST['reg_status']);
  $k_str = num($_POST['k_str']);
  
  if (empty($site_name)) $err .= 'Не введено название сайта<br />';
  
  if (!empty($site_name) && mb_strlen($site_name, 'UTF-8') > 32) $err .= 'Длина названия сайта больше 32 символов<br />';
  
  if (empty($copy)) $err .= 'Не введено копирайт сайта<br />';
  
  if (!empty($copy) && mb_strlen($copy, 'UTF-8') > 32) $err .= 'Длина копирайта сайта больше 32 символов<br />';
  
  if (!empty($description) && mb_strlen($description, 'UTF-8') > 5000) $err .= 'Длина описания сайта (description) больше 5000 символов<br />';
  
  if (!empty($keywords) && mb_strlen($keywords, 'UTF-8') > 5000) $err .= 'Длина ключевых слов сайта (keywords) больше 5000 символов<br />';
  
  if (empty($k_str)) $err .= 'Не введено кол-во пунктов на страницу';
  
  if (!isset($err)) {
    mysql_query("UPDATE `system` SET `value` = '". input($site_name) ."' WHERE `key` = 'site_name'");
    mysql_query("UPDATE `system` SET `value` = '". input($copy) ."' WHERE `key` = 'copy'");
    mysql_query("UPDATE `system` SET `value` = '". input($description) ."' WHERE `key` = 'description'");
    mysql_query("UPDATE `system` SET `value` = '". input($keywords) ."' WHERE `key` = 'keywords'");
    mysql_query("UPDATE `system` SET `value` = '". input($theme) ."' WHERE `key` = 'theme'");
    mysql_query("UPDATE `system` SET `value` = '". input($reg_status) ."' WHERE `key` = 'reg_status'");
    mysql_query("UPDATE `system` SET `value` = '". $k_str ."' WHERE `key` = 'k_str'");
    
    require_once(HOME .'/incfiles/header.php');
    
    echo '<div class="title">Настройки сайта</div>
    <div class="menu">
    Настройки сайта успешно сохранены.
    </div>';
    
    echo '<div class="block">
    <a href="/panel/settings.php">Настройки сайта</a><br />
    <a href="/panel/">Панель управления</a><br />
    <a href="/">На главную</a>
    </div>';

    require_once(HOME .'/incfiles/footer.php');    
  }
}

# Заголовок модуля
$system['page_title'] = 'Настройки сайта';

# Шапка модуля
require_once(HOME .'/incfiles/header.php');

error($err);

echo '<form method="post" action="?">
<div class="title">Настройки сайта</div>
<div class="menu">
Название сайта:<br />
<input type="text" name="site_name" value="'. $system['site_name'] .'" /><br />
<small>* Отображается в заголовке всех страниц</small><br />
Копирайт сайта:<br />
<input type="text" name="copy" value="'. $system['copy'] .'" /><br />
Описание (description):<br />
<textarea cols="25" rows="5" name="description">'. $system['description'] .'</textarea><br />
<small>* Для поисковых систем</small><br />
Ключевые слова (keywords):<br />
<textarea cols="25" rows="5" name="keywords">'. $system['keywords'] .'</textarea><br />
<small>* Для поисковых систем</small><br />
Тема по умолчанию:<br />
<select name="theme" size="1">';

# Темы оформления
$theme_dir = opendir(HOME .'/design/themes');

while ($theme = readdir($theme_dir)) {
  if ($theme == '.' || $theme == '..') continue;
  
  echo '<option value="'. $theme .'"'. ($system['theme'] == $theme?' selected="selected"':NULL) .'>'. trim(file_get_contents(HOME .'/design/themes/'. $theme .'/name.txt')) .'</option>';
}

echo '</select><br />
Кол-во пунктов на страницу:<br />
<input type="text" name="k_str" value="'. $system['k_str'] .'" /><br />
Регистрация:<br />
<select name="reg_status" size="1">
<option value="open"'. ($system['reg_status'] == 'open'?' selected="selected"':NULL) .'>Открыта</option>
<option value="closed"'. ($system['reg_status'] == 'closed'?' selected="selected"':NULL) .'>Закрыта</option>
</select><br />
<input type="submit" name="save_settings" value="Сохранить" />
</div>
</form>';

echo '<div class="block">
<a href="/panel/">Панель управления</a><br />
<a href="/">На главную</a>
</div>';

# Ноги модуля
require_once(HOME .'/incfiles/footer.php');

?>
